/*
 *	wiiuse
 *
 *	Written By:
 *		Michael Laforest	< para >
 *		Email: < thepara (--AT--) g m a i l [--DOT--] com >
 *
 *	Copyright 2005
 *
 *	This file is part of wiiuse.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *	$Header$
 *
 */

/**
 *	@file
 *	@brief Handles device connections.
 *
 *	The file includes functions that handle connections
 *	to the wiimote device(s).
 */

#ifndef CONNECT_H_INCLUDED
#define CONNECT_H_INCLUDED

#include <bluetooth/bluetooth.h>
#include "wiiuse_internal.h"

#ifdef __cplusplus
extern "C" {
#endif

int wiimote_find(struct wiimote_t** wm, int max_wiimotes, int timeout);
int wiimote_connect(struct wiimote_t** wm, int wiimotes);
void wiimote_disconnect(struct wiimote_t* wm);

void wiimote_handshake(struct wiimote_t* wm, byte* data, unsigned short len);

#ifdef __cplusplus
}
#endif

#endif // CONNECT_H_INCLUDED
